const profile_routes = {
    prefix: '/api/v1/profile',

    middleware: [
        'auth:APIRoute',
    ],

    get: {
        '/:user_id': [ // user_id | 'me'
            ['middleware::api:Permission', { check: 'v1:profile:get' }],
            'controller::api:v1:Profile.fetch',
        ],
    },

    patch: {
        '/:user_id': [ // user_id | 'me'
            ['middleware::api:Permission', { check: 'v1:profile:update' }],
            'controller::api:v1:Profile.update',
        ],
    },
}

module.exports = exports = profile_routes
